%define ocamlname ocaml-compiler-libs
Name:           ocaml-%{ocamlname}
Version:        0.10.0
Release:        1%{?dist}.emp1
Summary:        OCaml compiler libraries repackaged
License:        Apache-2.0
URL:            https://github.com/janestreet/%{ocamlname}
Source0:        %{ocamlname}-v%{version}.tar.gz

Requires: ocaml >= 4.04.1

BuildRequires:  opam-installer >= 2.0
BuildRequires:  jbuilder
BuildRequires:  ocaml >= 4.04.1

%description
This package simply repackage the OCaml compiler libraries so they
don’t expose everything at toplevel. For instance Ast_helper is now
Ocaml_common.Ast_helper.

The special library ocaml_shadow add a deprecation warning on all
modules from the compiler libraries, to force the user to use the
prefixed names.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-v%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.txt
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*/*.cmxa
%endif

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.org
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*/*.a
%{_libdir}/ocaml/%{ocamlname}/*/*.cmxa
%endif
